Loading...
Searching...
No Matches
keep_one_in_n.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2012 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_BLOCKS_KEEP_ONE_IN_N_H
#define INCLUDED_BLOCKS_KEEP_ONE_IN_N_H
#include <gnuradio/block.h>
#include <gnuradio/blocks/api.h>
namespace gr {
namespace blocks {
/*!
* \brief decimate a stream, keeping the last item out of every \p n.
* \ingroup stream_operators_blk
*/
class BLOCKS_API keep_one_in_n : virtual public block
{
public:
// gr::blocks::keep_one_in_n::sptr
typedef std::shared_ptr<keep_one_in_n> sptr;
/*!
* Make a keep one in n block.
*
* \param itemsize stream itemsize
* \param n block size in items
*/
static sptr make(size_t itemsize, int n);
virtual void set_n(int n) = 0;
};
} /* namespace blocks */
} /* namespace gr */
#endif /* INCLUDED_BLOCKS_KEEP_ONE_IN_N_H */
gr::block::block
block(void)
Definition gnuradio-runtime/include/gnuradio/block.h:806
gr::blocks::keep_one_in_n
decimate a stream, keeping the last item out of every n.
Definition keep_one_in_n.h:25
gr::blocks::keep_one_in_n::make
static sptr make(size_t itemsize, int n)
gr::blocks::keep_one_in_n::sptr
std::shared_ptr< keep_one_in_n > sptr
Definition keep_one_in_n.h:28
gr::blocks::keep_one_in_n::set_n
virtual void set_n(int n)=0
block.h
api.h
BLOCKS_API
#define BLOCKS_API
Definition gr-blocks/include/gnuradio/blocks/api.h:18
gr::blocks
Definition abs_blk.h:20
gr
GNU Radio logging wrapper.
Definition basic_block.h:29